how can i use icloud on 10.5.8

I have a imac 2.66GHz Intel Core 2 Duo with 2 GB 1067 MHz DDR3 and I would like to use i cloud with this machine and my new mac book and iphone 4s. How can I do it?

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • you need to have Mac os x 10.7.2 or later